=== modified file 'Makefile.am'
--- Makefile.am	2010-10-19 00:32:30 +0000
+++ Makefile.am	2010-10-19 21:58:26 +0000
@@ -49,6 +49,7 @@
 	    EXCEPTIONS-CLIENT \
 	    config/autorun.sh \
 	    config/config.rpath \
+	    config/drizzle.ver \
 	    config/make-lint.py \
 	    config/pandora_vc_revinfo \
 	    config/pre_hook.sh \

=== added file 'config/drizzle.ver'
--- config/drizzle.ver	1970-01-01 00:00:00 +0000
+++ config/drizzle.ver	2010-10-08 18:00:15 +0000
@@ -0,0 +1,1 @@
+DRIZZLE7 { global: *; };

=== modified file 'config/pandora-plugin'
--- config/pandora-plugin	2010-10-04 14:33:15 +0000
+++ config/pandora-plugin	2010-10-14 18:36:03 +0000
@@ -419,7 +419,13 @@
     else:
       plugin['enabled']="yes"
     if plugin.has_key('static'):
-      plugin['static']= parser.getboolean('plugin','static')
+      try:
+        plugin['static']= parser.getboolean('plugin','static')
+      except:
+        if plugin['static'][:5] == os.sys.platform[:5]:
+          plugin['static']= True
+        else:
+          plugin['static']= False
     if plugin.has_key('install'):
       plugin['install']= parser.getboolean('plugin','install')
     if plugin.has_key('testsuite'):

=== modified file 'configure.ac'
--- configure.ac	2010-10-14 02:38:32 +0000
+++ configure.ac	2010-10-08 18:00:15 +0000
@@ -26,7 +26,7 @@
 
 PANDORA_CANONICAL_TARGET(less-warnings, warnings-always-on, require-cxx, force-gcc42, version-from-vc, skip-visibility)
 
-LIBDRIZZLE_LIBRARY_VERSION=0:8:0
+LIBDRIZZLE_LIBRARY_VERSION=1:0:0
 #                          | | |
 #                   +------+ | +---+
 #                   |        |     |
@@ -43,11 +43,10 @@
 
 # libdrizzle versioning when linked with GNU ld.
 AS_IF([test "$lt_cv_prog_gnu_ld" = "yes"],[
-  LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_srcdir)/libdrizzle/libdrizzle.ver"
+  LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_srcdir)/config/drizzle.ver"
   ])
 AC_SUBST(LD_VERSION_SCRIPT)
 
-
 dnl Set the default datadir location to /usr/local/var/drizzle. If a
 dnl localstatedir is explicitly given, just use that.
 AS_IF([test "x${localstatedir}" = 'x${prefix}/var'],[
@@ -135,6 +134,11 @@
 dnl AM_CONDITIONAL([BUILD_GCC_PCH],[test "$GCC" = "yes"])
 AM_CONDITIONAL([BUILD_GCC_PCH],[test "no" = "yes"])
 
+AS_IF([test "$lt_cv_prog_gnu_ld" = "yes"],[
+  LDFLAGS="${LDFLAGS} ${LD_VERSION_SCRIPT}"
+  ])
+
+
 AC_CONFIG_FILES(Makefile dnl
  tests/Makefile dnl
  drizzled/plugin/version.h dnl

=== modified file 'plugin/haildb/plugin.ini'
--- plugin/haildb/plugin.ini	2010-10-12 14:11:44 +0000
+++ plugin/haildb/plugin.ini	2010-10-19 21:56:51 +0000
@@ -5,4 +5,3 @@
 headers=haildb_engine.h haildb_datadict_dump_func.h config_table_function.h status_table_function.h
 build_conditional="x${ac_cv_libhaildb}" = "xyes"
 ldflags=${LTLIBHAILDB}
-extra_dist=test-suite-dir

=== removed directory 'plugin/haildb/test-suite-dir'
=== removed directory 'plugin/haildb/test-suite-dir/haildb'
=== renamed directory 'plugin/haildb/test-suite-dir/haildb/tests' => 'plugin/haildb/tests'
=== modified file 'plugin/innobase/plugin.ini'
--- plugin/innobase/plugin.ini	2010-10-19 00:32:30 +0000
+++ plugin/innobase/plugin.ini	2010-10-19 21:58:26 +0000
@@ -53,4 +53,4 @@
 
 #cflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE
 #cxxflags=${INNODB_DYNAMIC_CFLAGS} ${NO_SHADOW} -I$(top_srcdir)/storage/innobase/include -DBUILD_DRIZZLE
-static=yes
+static=linux

=== modified file 'tests/valgrind.supp'
--- tests/valgrind.supp	2010-10-15 20:27:21 +0000
+++ tests/valgrind.supp	2010-10-19 18:03:43 +0000
@@ -332,6 +332,14 @@
    fun:_Z15key_cache_writePN8drizzled12st_key_cacheEimiPhjji
    ...
 }
+{
+   MyISAM pwrite issue. Teh Suck.
+   Memcheck:Param
+   pwrite64(buf)
+   ...
+   fun:_Z15key_cache_writePN8drizzled12st_key_cacheEimiPhjji
+  ...
+}
 
 # Things we don't like in Drizzle
 
@@ -472,4 +480,23 @@
   fun:exit
   ...
 }
-
+{
+  Boost::thread issues. Not a problem - static init issues.
+  Memcheck:Leak
+  fun:_Znwm
+  ...
+  fun:_ZN5boost6detail12set_tss_dataEPKvNS_10shared_ptrINS0_20tss_cleanup_functionEEEPvb
+   fun:_ZN8drizzled8internal14my_thread_initEv
+   fun:_ZN8drizzled8internal21my_thread_global_initEv
+   fun:_ZN8drizzled8internal7my_initEv
+   fun:main
+}
+{
+  Boost::thread issues. Not a problem - static init issues.
+   Memcheck:Leak
+   fun:_Znwm
+   fun:_ZN5boost6detail12set_tss_dataEPKvNS_10shared_ptrINS0_20tss_cleanup_functionEEEPvb
+   fun:_ZN8drizzled7Session12storeGlobalsEv
+   fun:_ZN8drizzled21drizzle_rm_tmp_tablesEv
+   fun:main
+}

